Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
clan::StyleSetValue Class Reference

Style value variable. More...

`#include <style_set_value.h>`

## Public Member Functions
bool | is_angle () const
| Check if value is an angle. More...
bool | is_color () const
| Check if value is a color. More...
bool | is_frequency () const
| Check if value is a frequency. More...
bool | is_keyword () const
| Check if value is a keyword. More...
bool | is_keyword (const char *keyword) const
bool | is_keyword (const std::string &keyword) const
bool | is_length () const
| Check if value is a length. More...
bool | is_number () const
| Check if value is a number. More...
bool | is_percentage () const
| Check if value is a percentage. More...
bool | is_resolution () const
| Check if value is a resolution. More...
bool | is_string () const
| Check if value is a string. More...
bool | is_time () const
| Check if value is a time. More...
bool | is_undefined () const
| Check if value is undefined. More...
bool | is_url () const
| Check if value is an url. More...

## Static Public Member Functions
static StyleSetValue | from_angle (float angle, StyleDimension dimension=StyleDimension::rad)
| Create style value from an angle. More...
static StyleSetValue | from_color (const Colorf &color)
| Create style value from a color. More...
static StyleSetValue | from_frequency (float freq, StyleDimension dimension=StyleDimension::hz)
| Create style value from a frequency. More...
static StyleSetValue | from_keyword (const std::string &keyword)
| Create style value from a keyword. More...
static StyleSetValue | from_length (float length, StyleDimension dimension=StyleDimension::px)
| Create style value from a length. More...
static StyleSetValue | from_number (float number)
| Create style value from a number. More...
static StyleSetValue | from_percentage (float percentage)
| Create style value from a percentage. More...
static StyleSetValue | from_resolution (float resolution, StyleDimension dimension=StyleDimension::dppx)
| Create style value from a resolution. More...
static StyleSetValue | from_string (const std::string &text)
| Create style value from a string. More...
static StyleSetValue | from_time (float t, StyleDimension dimension=StyleDimension::s)
| Create style value from a time. More...
static StyleSetValue | from_url (const std::string &url)
| Create style value from an url. More...

## Public Attributes
Colorf | color
| Value color. More...
StyleDimension | dimension = StyleDimension::px
| Dimension used by value. More...
float | number = 0.0f
| Value number. More...
std::string | text
| Text when the type is a text string. More...
StyleValueType | type = StyleValueType::undefined
| Variant type. More...

## Detailed Description

Style value variable.

## Member Function Documentation

static StyleSetValue clan::StyleSetValue::from_angle | ( | float | angle,
|  | StyleDimension | dimension = `StyleDimension::rad`
| ) |  |
| inline static

Create style value from an angle.

References clan::angle, dimension, number, type, and clan::v.

static StyleSetValue clan::StyleSetValue::from_color | ( | const Colorf & | color | ) |
| inline static

Create style value from a color.

References clan::color, color, type, and clan::v.

static StyleSetValue clan::StyleSetValue::from_frequency | ( | float | freq,
|  | StyleDimension | dimension = `StyleDimension::hz`
| ) |  |
| inline static

Create style value from a frequency.

References dimension, clan::frequency, number, type, and clan::v.

static StyleSetValue clan::StyleSetValue::from_keyword | ( | const std::string & | keyword | ) |
| inline static

Create style value from a keyword.

References clan::keyword, text, type, and clan::v.

static StyleSetValue clan::StyleSetValue::from_length | ( | float | length,
|  | StyleDimension | dimension = `StyleDimension::px`
| ) |  |
| inline static

Create style value from a length.

References dimension, clan::length, number, type, and clan::v.

static StyleSetValue clan::StyleSetValue::from_number | ( | float | number | ) |
| inline static

Create style value from a number.

References clan::number, number, type, and clan::v.

static StyleSetValue clan::StyleSetValue::from_percentage | ( | float | percentage | ) |
| inline static

Create style value from a percentage.

References number, clan::percentage, type, and clan::v.

static StyleSetValue clan::StyleSetValue::from_resolution | ( | float | resolution,
|  | StyleDimension | dimension = `StyleDimension::dppx`
| ) |  |
| inline static

Create style value from a resolution.

References dimension, number, clan::resolution, type, and clan::v.

static StyleSetValue clan::StyleSetValue::from_string | ( | const std::string & | text | ) |
| inline static

Create style value from a string.

References clan::string, text, type, and clan::v.

static StyleSetValue clan::StyleSetValue::from_time | ( | float | t,
|  | StyleDimension | dimension = `StyleDimension::s`
| ) |  |
| inline static

Create style value from a time.

References dimension, number, clan::t, clan::time, type, and clan::v.

static StyleSetValue clan::StyleSetValue::from_url | ( | const std::string & | url | ) |
| inline static

Create style value from an url.

References text, type, clan::url, and clan::v.

bool clan::StyleSetValue::is_angle | ( |  | ) | const
| inline

Check if value is an angle.

References clan::angle.

bool clan::StyleSetValue::is_color | ( |  | ) | const
| inline

Check if value is a color.

References clan::color.

bool clan::StyleSetValue::is_frequency | ( |  | ) | const
| inline

Check if value is a frequency.

References clan::frequency.

bool clan::StyleSetValue::is_keyword | ( |  | ) | const
| inline

Check if value is a keyword.

References clan::keyword.

bool clan::StyleSetValue::is_keyword | ( | const char * | keyword | ) | const
| inline

References is_keyword(), and clan::keyword.

Referenced by is_keyword().

bool clan::StyleSetValue::is_keyword | ( | const std::string & | keyword | ) | const
| inline

References is_keyword(), and clan::keyword.

Referenced by is_keyword().

bool clan::StyleSetValue::is_length | ( |  | ) | const
| inline

Check if value is a length.

References clan::length.

bool clan::StyleSetValue::is_number | ( |  | ) | const
| inline

Check if value is a number.

References clan::number.

bool clan::StyleSetValue::is_percentage | ( |  | ) | const
| inline

Check if value is a percentage.

References clan::percentage.

bool clan::StyleSetValue::is_resolution | ( |  | ) | const
| inline

Check if value is a resolution.

References clan::resolution.

bool clan::StyleSetValue::is_string | ( |  | ) | const
| inline

Check if value is a string.

References clan::string.

bool clan::StyleSetValue::is_time | ( |  | ) | const
| inline

Check if value is a time.

References clan::time.

bool clan::StyleSetValue::is_undefined | ( |  | ) | const
| inline

Check if value is undefined.

References clan::undefined.

bool clan::StyleSetValue::is_url | ( |  | ) | const
| inline

Check if value is an url.

References clan::url.

## Member Data Documentation

Colorf clan::StyleSetValue::color

Value color.

Referenced by from_color().

StyleDimension clan::StyleSetValue::dimension = StyleDimension::px

Dimension used by value.

Referenced by from_angle(), from_frequency(), from_length(), from_resolution(), and from_time().

float clan::StyleSetValue::number = 0.0f

Value number.

Referenced by from_angle(), from_frequency(), from_length(), from_number(), from_percentage(), from_resolution(), and from_time().

std::string clan::StyleSetValue::text

Text when the type is a text string.

Referenced by from_keyword(), from_string(), and from_url().

StyleValueType clan::StyleSetValue::type = StyleValueType::undefined

Variant type.

Referenced by from_angle(), from_color(), from_frequency(), from_keyword(), from_length(), from_number(), from_percentage(), from_resolution(), from_string(), from_time(), and from_url().

The documentation for this class was generated from the following file:

- style_set_value.h